Productsup
CDE APIApi referenceManagement

Update metadata for a connector.

Sign in to run requests against the CDE API.
PUT
/metadata/connectors/{connectorUuid}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

connectorUuid*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/metadata/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "channel-owner": "Feature Team",    "confidence": "Needs Checking",    "help-center": "http://v2.help.center",    "internal-documentation": "http://v2.docs.internal",    "notes": "some updated notes"  }'
{
  "message": "Successfully updated metadata for connector.",
  "resource": "connector-metadata",
  "data": {
    "uuid": "019e16f3-9184-7a94-92cb-c8dc297a7fbf",
    "channel-owner": "Feature Team",
    "confidence": "Needs Checking",
    "help-center": "http://v2.help.center",
    "internal-documentation": "http://v2.docs.internal",
    "notes": "some updated notes",
    "last-reviewed-at": "2026-05-11T14:12:01+02:00",
    "last-updated-by": "ca22b27b-55e4-49b6-ac31-cdea60aeaadf",
    "created-at": "2026-05-11T14:12:01+02:00",
    "updated-at": "2026-05-11T14:12:01+02:00",
    "connector": {
      "id": "019e16f3-9164-7f51-8d3c-7d5cefa7f5ed",
      "name": "Connector without metadata",
      "type": "data-service"
    }
  }
}
{
  "message": "Bad request.",
  "errors": {
    "channel-owner": "Invalid channel owner provided. Valid options are: \"Feature Team\", \"DromundKaas Team\", \"Channel Team\", \"Third Party\", \"API Team\", \"WG3\"."
  }
}

How is this guide?